Source: python-django
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Raphaël Hertzog <hertzog@debian.org>,
 Brian May <bam@debian.org>,
 Chris Lamb <lamby@debian.org>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.17.14),
 libgdal-dev <!nocheck>,
 libsqlite3-mod-spatialite <!nocheck>,
 python-django-formtools-doc <!nodoc>,
 python-psycopg2-doc <!nodoc>,
 python3-all,
 python3-asgiref <!nocheck>,
 python3-bcrypt <!nocheck>,
 python3-doc <!nodoc>,
 python3-docutils <!nodoc>,
 python3-jinja2 <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-selenium <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sqlparse <!nocheck>,
 python3-tblib <!nocheck>,
 python3-tz <!nocheck>,
 python3-yaml <!nocheck>,
Build-Depends-Indep:
 libjs-jquery,
Homepage: http://www.djangoproject.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django
Rules-Requires-Root: no

Package: python3-django
Architecture: all
Provides:
 python-django-common,
Replaces:
 python-django-common,
Breaks:
 python-django-common,
 python3-mysqldb (<< 1.3.13),
Depends:
 python3-asgiref,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
 python3-sqlparse,
 python3-tz,
Suggests:
 bpython3,
 geoip-database-contrib,
 gettext,
 ipython3,
 libgdal20,
 libsqlite3-mod-spatialite,
 python-django-doc,
 python3-bcrypt,
 python3-flup,
 python3-memcache,
 python3-mysqldb,
 python3-pil,
 python3-psycopg2,
 python3-selenium,
 python3-sqlite,
 python3-yaml,
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.
